#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 4 ] ; then
    echo 'Call ./<script> <work dir> <dload URL> <ZHV CSV output file> <GTFS CSV output file>'
    exit 1
fi
#
WORK_DIR="$1"
echo "WORK_DIR: $WORK_DIR"
dloadDir=${WORK_DIR}/zhv
echo "dloadDir: $dloadDir"
rm -r $dloadDir
mkdir -p $dloadDir
logFile=${dloadDir}/wget-log.txt
echo "logFile: $logFile"
dloadFile=${dloadDir}/zhv.zip
echo "dloadFile: $dloadFile"
dloadUrl=$2
echo "dloadUrl: $dloadUrl"
wget -o $logFile -O $dloadFile $dloadUrl
#
unzipDir=${dloadDir}/unzip
echo "unzipDir: $unzipDir"
mkdir -p $unzipDir
unzip -qq -d $unzipDir $dloadFile
#
csvFilePath=$(find $unzipDir -name '*.csv' -type f)
echo "csvFilePath: $csvFilePath"
#
csvFile=$(basename $csvFilePath)
echo "csvFile: $csvFile"
csvFileNoExt="${csvFile%.*}"
echo "csvFileNoExt: $csvFileNoExt"
csvFileDot=${csvFileNoExt}-dot.csv
echo "csvFileDot: $csvFileDot"
csvFileDotPath=${unzipDir}/$csvFileDot
echo "csvFileDotPath: $csvFileDotPath"
sed 's/\([[:digit:]]\)\,\([[:digit:]]\)/\1.\2/g' $csvFilePath > $csvFileDotPath
#
csvFileLower=${csvFileNoExt}-dot-lower.csv
echo "csvFileLower: $csvFileLower"
csvFileLowerPath=${unzipDir}/$csvFileLower
echo "csvFileLowerPath: $csvFileLowerPath"
sed '1s/\(.*\)/\L\1/' $csvFileDotPath > $csvFileLowerPath
#
ZHV_CSV_OUTPUT="$3"
echo "ZHV_CSV_OUTPUT: $ZHV_CSV_OUTPUT"
cp $csvFileLowerPath $ZHV_CSV_OUTPUT
#
csvFileComma=${csvFileNoExt}-dot-lower-comma.csv
echo "csvFileComma: $csvFileComma"
csvFileCommaPath=${unzipDir}/$csvFileComma
echo "csvFileCommaPath: $csvFileCommaPath"
sed -E 's/(");(")/\1\,\2/g' $csvFileLowerPath > $csvFileCommaPath
#
GTFS_CSV_OUTPUT="$4"
echo "GTFS_CSV_OUTPUT: $GTFS_CSV_OUTPUT"
cp $csvFileCommaPath $GTFS_CSV_OUTPUT
#
echo "Done."
#done.
